Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | Public Attributes | List of all members
ranges::v3::overloaded< First, Rest...> Struct Template Reference
Utility
Inheritance diagram for ranges::v3::overloaded< First, Rest...>:

## Public Member Functions
constexpr | overloaded (First first, Rest...rest)

## Public Attributes
| overloaded< Rest...>

## Member Data Documentation

template<typename First , typename... Rest>

ranges::v3::overloaded< First, Rest...>::overloaded< Rest...>

Initial value:
{detail::move(rest)...}
{}
using overloaded<First>::operator()